commit:     24169a21f2659e77eec49678f2ac8230dfd24d1e
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 20 21:47:00 2023 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 21:49:14 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24169a21

app-editors/emacs: Disable tests that use bwrap

This is more specific than excluding bytecomp-tests.el altogether.

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-editors/emacs/emacs-29.1-r5.ebuild   | 12 ++++++------
 app-editors/emacs/emacs-29.1-r6.ebuild   | 12 ++++++------
 app-editors/emacs/emacs-29.1.90.ebuild   | 12 ++++++------
 app-editors/emacs/emacs-29.1.9999.ebuild | 12 ++++++------
 app-editors/emacs/emacs-30.0.9999.ebuild | 12 ++++++------
 5 files changed, 30 insertions(+), 30 deletions(-)

diff --git a/app-editors/emacs/emacs-29.1-r5.ebuild 
b/app-editors/emacs/emacs-29.1-r5.ebuild
index 6664eddcef73..7b5f7d58bc97 100644
--- a/app-editors/emacs/emacs-29.1-r5.ebuild
+++ b/app-editors/emacs/emacs-29.1-r5.ebuild
@@ -207,6 +207,12 @@ src_prepare() {
        # with a wrong library name.
        sed -i -e "/CHECK_MODULES/s/libseccomp/DiSaBlE&/" configure.ac || die
 
+       # Tests that use bubblewrap don't work in the sandbox:
+       # "bwrap: setting up uid map: Permission denied"
+       # So, disrupt the search for the bwrap executable.
+       sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
+               test/lisp/emacs-lisp/bytecomp-tests.el || die
+
        AT_M4DIR=m4 eautoreconf
 }
 
@@ -427,12 +433,6 @@ src_test() {
                %lisp/vc/vc-tests.el
                %lisp/vc/vc-bzr-tests.el
 
-               # Reason: fails if bubblewrap (bwrap) is installed
-               # "bwrap: setting up uid map: Permission denied"
-               #
-               # bytecomp-tests--dest-mountpoint
-               %lisp/emacs-lisp/bytecomp-tests.el
-
                # Reason: tries to access network
                # internet-is-working
                %src/process-tests.el

diff --git a/app-editors/emacs/emacs-29.1-r6.ebuild 
b/app-editors/emacs/emacs-29.1-r6.ebuild
index abc42779db8c..9cfd899f30d4 100644
--- a/app-editors/emacs/emacs-29.1-r6.ebuild
+++ b/app-editors/emacs/emacs-29.1-r6.ebuild
@@ -207,6 +207,12 @@ src_prepare() {
        # with a wrong library name.
        sed -i -e "/CHECK_MODULES/s/libseccomp/DiSaBlE&/" configure.ac || die
 
+       # Tests that use bubblewrap don't work in the sandbox:
+       # "bwrap: setting up uid map: Permission denied"
+       # So, disrupt the search for the bwrap executable.
+       sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
+               test/lisp/emacs-lisp/bytecomp-tests.el || die
+
        AT_M4DIR=m4 eautoreconf
 }
 
@@ -427,12 +433,6 @@ src_test() {
                %lisp/vc/vc-tests.el
                %lisp/vc/vc-bzr-tests.el
 
-               # Reason: fails if bubblewrap (bwrap) is installed
-               # "bwrap: setting up uid map: Permission denied"
-               #
-               # bytecomp-tests--dest-mountpoint
-               %lisp/emacs-lisp/bytecomp-tests.el
-
                # Reason: tries to access network
                # internet-is-working
                %src/process-tests.el

diff --git a/app-editors/emacs/emacs-29.1.90.ebuild 
b/app-editors/emacs/emacs-29.1.90.ebuild
index 3edf4c2cb75b..9aff860d84f5 100644
--- a/app-editors/emacs/emacs-29.1.90.ebuild
+++ b/app-editors/emacs/emacs-29.1.90.ebuild
@@ -204,6 +204,12 @@ src_prepare() {
        # with a wrong library name.
        sed -i -e "/CHECK_MODULES/s/libseccomp/DiSaBlE&/" configure.ac || die
 
+       # Tests that use bubblewrap don't work in the sandbox:
+       # "bwrap: setting up uid map: Permission denied"
+       # So, disrupt the search for the bwrap executable.
+       sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
+               test/lisp/emacs-lisp/bytecomp-tests.el || die
+
        AT_M4DIR=m4 eautoreconf
 }
 
@@ -424,12 +430,6 @@ src_test() {
                %lisp/vc/vc-tests.el
                %lisp/vc/vc-bzr-tests.el
 
-               # Reason: fails if bubblewrap (bwrap) is installed
-               # "bwrap: setting up uid map: Permission denied"
-               #
-               # bytecomp-tests--dest-mountpoint
-               %lisp/emacs-lisp/bytecomp-tests.el
-
                # Reason: tries to access network
                # internet-is-working
                %src/process-tests.el

diff --git a/app-editors/emacs/emacs-29.1.9999.ebuild 
b/app-editors/emacs/emacs-29.1.9999.ebuild
index 3edf4c2cb75b..9aff860d84f5 100644
--- a/app-editors/emacs/emacs-29.1.9999.ebuild
+++ b/app-editors/emacs/emacs-29.1.9999.ebuild
@@ -204,6 +204,12 @@ src_prepare() {
        # with a wrong library name.
        sed -i -e "/CHECK_MODULES/s/libseccomp/DiSaBlE&/" configure.ac || die
 
+       # Tests that use bubblewrap don't work in the sandbox:
+       # "bwrap: setting up uid map: Permission denied"
+       # So, disrupt the search for the bwrap executable.
+       sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
+               test/lisp/emacs-lisp/bytecomp-tests.el || die
+
        AT_M4DIR=m4 eautoreconf
 }
 
@@ -424,12 +430,6 @@ src_test() {
                %lisp/vc/vc-tests.el
                %lisp/vc/vc-bzr-tests.el
 
-               # Reason: fails if bubblewrap (bwrap) is installed
-               # "bwrap: setting up uid map: Permission denied"
-               #
-               # bytecomp-tests--dest-mountpoint
-               %lisp/emacs-lisp/bytecomp-tests.el
-
                # Reason: tries to access network
                # internet-is-working
                %src/process-tests.el

diff --git a/app-editors/emacs/emacs-30.0.9999.ebuild 
b/app-editors/emacs/emacs-30.0.9999.ebuild
index 32cee85d854a..9ed35f39b910 100644
--- a/app-editors/emacs/emacs-30.0.9999.ebuild
+++ b/app-editors/emacs/emacs-30.0.9999.ebuild
@@ -205,6 +205,12 @@ src_prepare() {
        # with a wrong library name.
        sed -i -e "/CHECK_MODULES/s/libseccomp/DiSaBlE&/" configure.ac || die
 
+       # Tests that use bubblewrap don't work in the sandbox:
+       # "bwrap: setting up uid map: Permission denied"
+       # So, disrupt the search for the bwrap executable.
+       sed -i -e 's/(executable-find "bwrap")/nil/' test/src/emacs-tests.el \
+               test/lisp/emacs-lisp/bytecomp-tests.el || die
+
        AT_M4DIR=m4 eautoreconf
 }
 
@@ -426,12 +432,6 @@ src_test() {
                %lisp/vc/vc-tests.el
                %lisp/vc/vc-bzr-tests.el
 
-               # Reason: fails if bubblewrap (bwrap) is installed
-               # "bwrap: setting up uid map: Permission denied"
-               #
-               # bytecomp-tests--dest-mountpoint
-               %lisp/emacs-lisp/bytecomp-tests.el
-
                # Reason: tries to access network
                # internet-is-working
                %src/process-tests.el

Reply via email to